﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace BarChart
{
   public class ChartSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas1;

        ObservableCollection<ChartDataPoint> datas2;

        public ChartSample()
        {
            datas1 = new ObservableCollection<ChartDataPoint>();
            datas1.Add(new ChartDataPoint("2016", 1241.994));
            datas1.Add(new ChartDataPoint("2017", 387.6));
          
            datas2 = new ObservableCollection<ChartDataPoint>();
            datas2.Add(new ChartDataPoint("2016", 1782.609));
            datas2.Add(new ChartDataPoint("2017", 655));

            SfChart chart = new SfChart();

            CategoryAxis xAxis = new CategoryAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            StackingBarSeries series1 = new StackingBarSeries();
            series1.ItemsSource = datas1;
            series1.DataMarker = new ChartDataMarker() { ShowLabel = true, ShowMarker = false };
            series1.DataMarker.LabelStyle.LabelPosition = DataMarkerLabelPosition.Inner;
            series1.DataMarkerPosition = DataMarkerPosition.Bottom;
            chart.Series.Add(series1);

            StackingBarSeries series2 = new StackingBarSeries();
            series2.ItemsSource = datas2;
            series2.DataMarker = new ChartDataMarker() { ShowLabel = true, ShowMarker = false };
            series2.DataMarker.LabelStyle.LabelPosition = DataMarkerLabelPosition.Center;
            chart.Series.Add(series2);

            Content = chart;
        }
    }
}
